all:
  vars:
    # Ansible Settings
    ansible_user: "<ANSIBLE_USER>"
    ansible_ssh_private_key_file: "<ANSIBLE_SSH_PRIVATE_KEY_FILE>"

    # Cloud Settings
    cloud_provider: "gcp"
    gcp_project: "<GET4S_PROJECT>"
    gcp_zone: "<GET4S_ZONE>"
    gcp_service_account_host_file: "<GCP_SERVICE_ACCOUNT_HOST_FILE>"

    # General Settings
    prefix: "<GET4S_PREFIX>"
    external_url: "<GET4S_GITLAB_EXTERNAL_URL>"
    gitlab_license_file: "<GET4S_GITLAB_LICENSE_FILE>"

    external_ssl_source: "<GET4S_EXTERNAL_SSL_SOURCE>"
    external_ssl_letsencrypt_issuer_email: "<GET4S_EXTERNAL_SSL_LETSENCRYPT_ISSUER_EMAIL>"
    external_ssl_files_host_certificate_file: "<GET4S_EXTERNAL_SSL_FILES_HOST_CERTIFICATE_FILE>"
    external_ssl_files_host_key_file: "<GET4S_EXTERNAL_SSL_FILES_HOST_KEY_FILE>"

    gitlab_repo_package: "<GET4S_GITLAB_REPO_PACKAGE>"
    gitlab_repo_script_url: "<GET4S_GITLAB_REPO_SCRIPT_URL>"

    # Passwords / Secrets
    gitlab_root_password: '<GET4S_GITLAB_ROOT_PASSWORD>'
    grafana_password: '<GET4S_GITLAB_GRAFANA_PASSWORD>'
    postgres_password: '<GET4S_GITLAB_POSTGRES_PASSWORD>'
    consul_database_password: '<GET4S_GITLAB_CONSUL_DATABASE_PASSWORD>'
    gitaly_token: '<GET4S_GITLAB_GITALY_TOKEN>'
    pgbouncer_password: '<GET4S_GITLAB_PGBOUNCER_PASSWORD>'
    redis_password: '<GET4S_GITLAB_REDIS_PASSWORD>'
    praefect_postgres_password: '<GET4S_GITLAB_PRAEFECT_POSTGRES_PASSWORD>'
    praefect_external_token: '<GET4S_GITLAB_PRAEFECT_EXTERNAL_TOKEN>'
    praefect_internal_token: '<GET4S_GITLAB_PRAEFECT_INTERNAL_TOKEN>'
